package cn.com.countrygarden.bi.main.service.mediaResource;

import java.util.List;
import java.util.Map;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.AdvertisingResourcesDto;
import cn.com.countrygarden.bi.main.dto.DictionaryDto;
import cn.com.countrygarden.bi.main.dto.ReserveMediaDto;
import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.model.mediaResource.AdvertisingResources;
import cn.com.countrygarden.bi.main.model.mediaResource.MediaOrderParam;
public interface AdvertistingReserveService {

	List<Map<String, String>> getDicItem(DictionaryDto dto);

	PageData findPage(String accessToken,AdvertisingResourcesDto dto);

	Result reserveMedia(String accessToken,ReserveMediaDto dto);

	int cancelOrder(String accessToken,ReserveMediaDto dto);

	List<Map<String,Object>> findMediaOutPage(String accessToken,AdvertisingResourcesDto dto);

	List<Map<String, Object>> printing(AdvertisingResourcesDto dto);

	List<Map<String, Object>> getMediaStatus(AdvertisingResourcesDto dto);

	List<String> findOrderCode(String startDate, String endDate, String mediaId);
	/**
	 * 因为没有校验格式，所以日期格式必须按楼下
	 * @param startDate yyyy-MM-dd
	 * @param endDate   yyyy-MM-dd
	 * @param mediaId   
	 * @return true未占用 、 false被占用
	 */
	boolean verifyTimeQuantum(String startDate, String endDate, String mediaId);
}
